Bug 5065 - Samba Crash (Signal 6).
Samba Crash (Signal 6).
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.23d
x86 Linux
: P3 critical
: none
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 04:45 UTC by Angelo Braga
Modified: 2007-11-25 06:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Angelo Braga 2007-11-08 04:45:50 UTC
I'am using a linux (Opensuse 10.2) as a print server with samba 3.0.23d integrated 
with a AD (Samba + Winbind), sometimes the samba crash, when i restart the service samba, all works again.

See the log (log.smbd):

[2007/11/07 17:41:38, 0] lib/fault.c:fault_report(42)
  INTERNAL ERROR: Signal 6 in pid 7616 (3.0.23d-6-1083-SUSE-SL10.2)
  Please read the Trouble-Shooting section of the Samba3-HOWTO
[2007/11/07 17:41:38, 0] lib/fault.c:fault_report(44)
  
  From: http://www.samba.org/samba/docs/Samba3-HOWTO.pdf
[2007/11/07 17:41:38, 0] lib/fault.c:fault_report(45)   
  ===============================================================
[2007/11/07 17:41:38, 0] lib/util.c:smb_panic(1599)
  PANIC (pid 7616): internal error
[2007/11/07 17:41:38, 0] lib/util.c:log_stack_trace(1706)
  BACKTRACE: 24 stack frames:
   #0 /usr/sbin/smbd(log_stack_trace+0x2d) [0x80215e7d]
   #1 /usr/sbin/smbd(smb_panic+0x5d) [0x80215fad]
   #2 /usr/sbin/smbd [0x80201d6a]
   #3 [0xb7f98420]
   #4 /lib/libc.so.6(abort+0x101) [0xb7aeb801]
   #5 /usr/sbin/smbd [0x8021c246]
   #6 /usr/sbin/smbd(talloc_steal+0x3a) [0x8021c41a]
   #7 /usr/sbin/smbd(lookup_sids+0x3aa) [0x801d343a]
   #8 /usr/sbin/smbd [0x80106991]
   #9 /usr/sbin/smbd(_lsa_lookup_sids2+0x12d) [0x80106fed]
   #10 /usr/sbin/smbd [0x801031f1]
#11 /usr/sbin/smbd(api_rpcTNP+0x198) [0x801606a8]
   #12 /usr/sbin/smbd(api_pipe_request+0x19e) [0x80160cfe]
   #13 /usr/sbin/smbd [0x8015c78f]
   #14 /usr/sbin/smbd [0x8015cccc]
   #15 /usr/sbin/smbd(write_to_pipe+0x6e) [0x8015b4fe]
   #16 /usr/sbin/smbd [0x8005ed41]
   #17 /usr/sbin/smbd [0x8005f276]
   #18 /usr/sbin/smbd(reply_trans+0x5e0) [0x8005fb80]
   #19 /usr/sbin/smbd [0x800b3b70]
   #20 /usr/sbin/smbd(smbd_process+0x78b) [0x800b4c6b]
   #21 /usr/sbin/smbd(main+0xbd0) [0x802bdd50]
   #22 /lib/libc.so.6(__libc_start_main+0xdc) [0xb7ad6f9c]
   #23 /usr/sbin/smbd [0x80042c31]
[2007/11/07 17:41:38, 0] lib/fault.c:dump_core(168)
  unable to change to /var/log/samba/cores/smbdrefusing to dump core
[2007/11/07 17:41:38, 0] lib/fault.c:fault_report(41)

Any help is welcome!

Thanks.
Angelo
Comment 1 Angelo Braga 2007-11-12 17:47:15 UTC
Any help?

Thanks,

Angelo
Comment 2 Volker Lendecke 2007-11-25 06:29:26 UTC
There used to be a very similarly looking bug in an intermediate package distributed by SuSE. It was fixed a couple of months ago in the SuSE packages. Please try the latest packages.

I'm closing this bug as fixed. Please re-open if upgrading does not help.

Volker